Loading...
Searching...
No Matches
websocket_endpoint Class Reference

## Public Member Functions

int | connect (std::string const &uri)
connection_metadata::ptr | get_metadata (int id) const
int | connect (std::string const &uri)
void | close (int id, websocketpp::close::status::value code, std::string reason)
connection_metadata::ptr | get_metadata (int id) const
int | connect (std::string const &uri)
void | close (int id, websocketpp::close::status::value code, std::string reason)
void | send (int id, std::string message)
connection_metadata::ptr | get_metadata (int id) const

## Detailed Description

Definition at line 42 of file step3.cpp.

## Constructor & Destructor Documentation

## websocket_endpoint() [1/4]

websocket_endpoint::websocket_endpoint | ( |  | ) |

inline

Definition at line 44 of file step3.cpp.

## websocket_endpoint() [2/4]

websocket_endpoint::websocket_endpoint | ( |  | ) |

inline

Definition at line 93 of file step4.cpp.

## websocket_endpoint() [3/4]

websocket_endpoint::websocket_endpoint | ( |  | ) |

inline

Definition at line 115 of file step5.cpp.

## ~websocket_endpoint() [1/2]

websocket_endpoint::~websocket_endpoint | ( |  | ) |

inline

Definition at line 125 of file step5.cpp.

## websocket_endpoint() [4/4]

websocket_endpoint::websocket_endpoint | ( |  | ) |

inline

Definition at line 134 of file step6.cpp.

## ~websocket_endpoint() [2/2]

websocket_endpoint::~websocket_endpoint | ( |  | ) |

inline

Definition at line 144 of file step6.cpp.

## Member Function Documentation

## close() [1/2]

void websocket_endpoint::close | ( | int | id,
|  | websocketpp::close::status::value | code,
|  | std::string | reason )

inline

Definition at line 185 of file step5.cpp.

## close() [2/2]

void websocket_endpoint::close | ( | int | id,
|  | websocketpp::close::status::value | code,
|  | std::string | reason )

inline

Definition at line 210 of file step6.cpp.

## connect() [1/3]

int websocket_endpoint::connect | ( | std::string const & | uri | ) |

inline

Definition at line 103 of file step4.cpp.

## connect() [2/3]

int websocket_endpoint::connect | ( | std::string const & | uri | ) |

inline

Definition at line 147 of file step5.cpp.

## connect() [3/3]

int websocket_endpoint::connect | ( | std::string const & | uri | ) |

inline

Definition at line 166 of file step6.cpp.

## get_metadata() [1/3]

connection_metadata::ptr websocket_endpoint::get_metadata | ( | int | id | ) | const

inline

Definition at line 135 of file step4.cpp.

## get_metadata() [2/3]

connection_metadata::ptr websocket_endpoint::get_metadata | ( | int | id | ) | const

inline

Definition at line 200 of file step5.cpp.

## get_metadata() [3/3]

connection_metadata::ptr websocket_endpoint::get_metadata | ( | int | id | ) | const

inline

Definition at line 243 of file step6.cpp.

## send()

void websocket_endpoint::send | ( | int | id,
|  | std::string | message )

inline

Definition at line 225 of file step6.cpp.

The documentation for this class was generated from the following files:

- tutorials/utility_client/step3.cpp
- tutorials/utility_client/step4.cpp
- tutorials/utility_client/step5.cpp
- tutorials/utility_client/step6.cpp